// subPage/chat/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    eventType:'input',// 底部事件类型 input 键盘输入，voice 语音输入
    sendText:'',// 发送的输入框内容 
    list:[
      {
        id:-1,
        type:'text',
        isUp:false,
        isDown:false,
      },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wx.setNavigationBarTitle({
      title: options.title,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

  handleEvent(e){
    let that = this;
    that.animate();
    that.setData({
      eventType:e.currentTarget.dataset.type == 'input' ? 'voice':'input'
    })
  },
  handleUp(e){
    let that = this;
    that.animate();
    const list = [...that.data.list]; 
    const index = e.currentTarget.dataset.index;
    list[index].isUp = !list[index].isUp; 
    that.setData({
      list: list 
    });
  },
  handleDown(e){
    let that = this;
    that.animate();
    const list = [...that.data.list]; 
    const index = e.currentTarget.dataset.index;
    list[index].isDown = !list[index].isDown; 
    that.setData({
      list: list 
    });
  },
  handleCopy(e){
    let that = this;
    that.animate();
    const index = e.currentTarget.dataset.index;
    let content = that.data.list[index].content; // 获取要复制的内容
    if(index == 0){
      content = "Hi，我是大鹏，你的智能工作助理。以后找工作不用跟老板谈了，直接来跟大鹏谈。来说说你的要求，我们开始吧…"
    }
    wx.setClipboardData({
      data: content,
      success: function (res) {
        wx.showToast({
          title: '复制成功',
          icon: 'success',
          duration: 2000
        });
      },
      fail: function (res) {
        wx.showToast({
          title: '复制失败',
          icon: 'none',
          duration: 2000
        });
      }
    });
  },
  handleShare(){
    let that = this;
    that.animate();
  },
  handleInput(e){
    let that = this;
    that.setData({
      sendText:e.detail.value
    });
  },

  animate($type='light') {
    wx.vibrateShort({
      type:$type
    });
  },




  // 文本消息发送
  handleSend(){
    let that = this;
    if(that.data.sendText == ''){
      wx.showToast({
        title: '请输入内容',
        icon: 'none',
      });
      return false;
    }
    that.animate();
    that.setData({
      list:[
        ...that.data.list,
        {
          id:that.data.list.length,
          type:'text',
          isUp:false,
          isDown:false,
          content:that.data.sendText
        },
        {
          id:that.data.list.length + 1,
          type:'html',
          isUp:false,
          isDown:false,
          content:`【北京奔驰连接器日结工】<br /><br />🚻 男女 18-48， 18-48周岁， 男女不限， 要求26个英文字母， 纹身烟疤拍照确认， 黑户，明显纹身，临时身份证不予接收，两班倒，站班<br /><br />💰 员工250元/天，支付60天；60天以后员工220元/天；每月10号发薪。培训工资100元/天，员工 16 元/时以上部分含税6个点的，打卡不满七天无工资；60天以后员工缴纳社保`
        },
      ],
      sendText:''
    });
  }
})